[restlet-jse] Initial import (#1005904).

gil gil at fedoraproject.org
Thu Dec 5 00:33:08 UTC 2013


commit c8ab78be3267513df2339a95210965b82d84d9c9
Author: gil <puntogil at libero.it>
Date:   Thu Dec 5 01:32:56 2013 +0100

    Initial import (#1005904).

 .gitignore                    |    1 +
 org.restlet.parent-2.1.4.pom  |  209 +++++++++++++++++++++++++++++++++++++++++
 restlet-jse-create-tarball.sh |  131 ++++++++++++++++++++++++++
 restlet-jse.spec              |  135 ++++++++++++++++++++++++++
 sources                       |    1 +
 5 files changed, 477 insertions(+), 0 deletions(-)
---
diff --git a/.gitignore b/.gitignore
index e69de29..a64dc29 100644
--- a/.gitignore
+++ b/.gitignore
@@ -0,0 +1 @@
+/restlet-jse-2.1.4-clean.tar.xz
diff --git a/org.restlet.parent-2.1.4.pom b/org.restlet.parent-2.1.4.pom
new file mode 100644
index 0000000..8e4ebc8
--- /dev/null
+++ b/org.restlet.parent-2.1.4.pom
@@ -0,0 +1,209 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
+	<modelVersion>4.0.0</modelVersion>
+
+	<groupId>org.restlet.jee</groupId>
+	<artifactId>org.restlet.parent</artifactId>
+	<version>2.1.4</version>
+	<packaging>pom</packaging>
+
+	<name>Restlet project</name>
+	<description>Lightweight REST framework</description>
+	<url>http://www.restlet.org</url>
+	<inceptionYear>2005</inceptionYear>
+
+	<scm>
+		<url>http://restlet.tigris.org/svn/restlet/modules/</url>
+	</scm>
+
+	<repositories>
+		<repository>
+			<id>maven-central</id>
+			<name>Central Maven repository</name>
+			<url>http://repo1.maven.org/maven2/</url>
+		</repository>
+		<repository>
+			<id>maven2-java</id>
+			<name>Java.net repository</name>
+			<url>http://download.java.net/maven/2</url>
+		</repository>
+        <repository>
+            <id>maven1-java</id>
+            <url>http://download.java.net/maven/1</url>
+            <layout>legacy</layout>
+        </repository>
+		<repository>
+			<id>maven-restlet</id>
+			<name>Restlet repository</name>
+			<url>http://maven.restlet.org</url>
+		</repository>
+		<repository>
+			<id>maven-db4o</id>
+			<name>Db4o repository</name>
+			<url>https://source.db4o.com/maven/</url>
+		</repository>
+	</repositories>
+
+	<properties>
+		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
+		<lib-rome-version>1.0</lib-rome-version>
+		<lib-jdom-version>1.1</lib-jdom-version>
+		<lib-servlet-version>2.5</lib-servlet-version>
+		<lib-collections-version>3.2.1</lib-collections-version>
+		<lib-lang-version>2.6</lib-lang-version>
+		<lib-velocity-version>1.6.3</lib-velocity-version>
+		<lib-jettison-version>1.3</lib-jettison-version>
+		<lib-stax-version>1.0-2</lib-stax-version>
+		<lib-xstream-version>1.4.1</lib-xstream-version>
+		<lib-freemarker-version>2.3.19</lib-freemarker-version>
+		<lib-dbcp-version>1.3</lib-dbcp-version>
+		<lib-pool-version>1.5.6</lib-pool-version>
+		<lib-openid4java-version>0.9.6</lib-openid4java-version>
+		<lib-httpclient-version>4.1.1</lib-httpclient-version>
+		<lib-nekohtml-version>1.9.14</lib-nekohtml-version>
+		<lib-codec-version>1.5</lib-codec-version>
+		<lib-httpcore-version>4.1</lib-httpcore-version>
+		<lib-httpmime-version>4.1.1</lib-httpmime-version>
+		<lib-jcip-annotations-version>1.0</lib-jcip-annotations-version>
+		<lib-logging-version>1.1.1</lib-logging-version>
+		<lib-mime4j-version>0.6</lib-mime4j-version>
+		<lib-json-version>2.0</lib-json-version>
+		<lib-activation-version>1.1.1</lib-activation-version>
+		<lib-fileupload-version>1.2.2</lib-fileupload-version>
+		<lib-javamail-version>1.4.2</lib-javamail-version>
+		<lib-jaxb-api-version>2.1</lib-jaxb-api-version>
+		<lib-jaxb-ri-version>2.1.12</lib-jaxb-ri-version>
+		<lib-jaxrs-version>1.0</lib-jaxrs-version>
+		<lib-cglib-version>2.2</lib-cglib-version>
+		<lib-spring-asm-version>3.0.1.RELEASE</lib-spring-asm-version>
+		<lib-spring-beans-version>3.0.1.RELEASE</lib-spring-beans-version>
+		<lib-spring-context-version>3.0.1.RELEASE</lib-spring-context-version>
+		<lib-spring-core-version>3.0.1.RELEASE</lib-spring-core-version>
+		<lib-spring-expression-version>3.0.1.RELEASE</lib-spring-expression-version>
+		<lib-spring-web-version>3.0.1.RELEASE</lib-spring-web-version>
+		<lib-spring-webmvc-version>3.0.1.RELEASE</lib-spring-webmvc-version>
+		<lib-jsslutils-version>1.0.5</lib-jsslutils-version>
+		<lib-jibx-version>1.2.2</lib-jibx-version>
+		<lib-emf-common-version>2.6.0.v20100614-1136</lib-emf-common-version>
+		<lib-emf-ecore-version>2.6.0.v20100614-1136</lib-emf-ecore-version>
+		<lib-emf-ecore-xmi-version>2.5.0.v20100521-1846</lib-emf-ecore-xmi-version>
+		<lib-sdc-version>1.3.rc2</lib-sdc-version>
+		<lib-guice-version>2.0</lib-guice-version>
+		<lib-gdata-version>1.0</lib-gdata-version>
+		<lib-gdata-client-version>1.0</lib-gdata-client-version>
+		<lib-protobuf-version>2.2.0</lib-protobuf-version>
+		<lib-gcollections-version>1.0</lib-gcollections-version>
+		<lib-log4j-version>1.2.16</lib-log4j-version>
+		<lib-io-version>2.0.1</lib-io-version>
+		<lib-lucene-version>2.9.2</lib-lucene-version>
+		<lib-solr-version>1.4.0</lib-solr-version>
+		<lib-solr-common-version>1.4.0</lib-solr-common-version>
+		<lib-tika-version>0.6</lib-tika-version>
+		<lib-tika-parsers-version>0.6</lib-tika-parsers-version>
+		<lib-slf4j-version>1.6.2</lib-slf4j-version>
+		<lib-jackson-core-version>1.9.8</lib-jackson-core-version>
+		<lib-jackson-mapper-version>1.9.8</lib-jackson-mapper-version>
+		<lib-db4o-version>7.12.132</lib-db4o-version>
+		<lib-db4o-instrumentation-version>7.12.132</lib-db4o-instrumentation-version>
+		<lib-db4o-nativequery-version>7.12.132</lib-db4o-nativequery-version>
+		<lib-db4o-optional-version>7.12.132</lib-db4o-optional-version>
+		<lib-db4o-ta-version>7.12.132</lib-db4o-ta-version>
+		<lib-db4o-tools-version>7.12.132</lib-db4o-tools-version>
+		<lib-bloat-version>1.0</lib-bloat-version>
+		<lib-junit-version>4.8.1</lib-junit-version>
+		<lib-testng-version>6.7</lib-testng-version>
+		<lib-gwt-server-version>2.3.0</lib-gwt-server-version>
+		<lib-oauth-version>20090617</lib-oauth-version>
+	</properties>
+
+	<modules>
+		<module>org.restlet.ext.rome</module>
+		<module>org.restlet.ext.xdb</module>
+		<module>org.restlet.ext.velocity</module>
+		<module>org.restlet.ext.xstream</module>
+		<module>org.restlet.ext.odata</module>
+		<module>org.restlet.ext.jdbc</module>
+		<module>org.restlet.ext.openid</module>
+		<module>org.restlet.ext.httpclient</module>
+		<module>org.restlet.ext.net</module>
+		<module>org.restlet.ext.jaas</module>
+		<module>org.restlet.ext.rdf</module>
+		<module>org.restlet.ext.crypto</module>
+		<module>org.restlet.ext.json</module>
+		<module>org.restlet.ext.jaxrs</module>
+		<module>org.restlet.ext.html</module>
+		<module>org.restlet.ext.spring</module>
+		<module>org.restlet.ext.servlet</module>
+		<module>org.restlet.ext.wadl</module>
+		<module>org.restlet.ext.ssl</module>
+		<module>org.restlet.ext.jibx</module>
+		<module>org.restlet.ext.fileupload</module>
+		<module>org.restlet.ext.xml</module>
+		<module>org.restlet.ext.emf</module>
+		<module>org.restlet.ext.freemarker</module>
+		<module>org.restlet.ext.sdc</module>
+		<module>org.restlet.ext.lucene</module>
+		<module>org.restlet.ext.javamail</module>
+		<module>org.restlet.ext.slf4j</module>
+		<module>org.restlet.ext.jackson</module>
+		<module>org.restlet.example</module>
+		<module>org.restlet.ext.atom</module>
+		<module>org.restlet.ext.gwt</module>
+		<module>org.restlet.ext.oauth</module>
+		<module>org.restlet.test</module>
+		<module>org.restlet.ext.jaxb</module>
+		<module>org.restlet.ext.sip</module>
+		<module>org.restlet</module>
+	</modules>
+
+	<licenses>
+		<license>
+			<name>Apache 2.0 license</name>
+			<url>http://www.opensource.org/licenses/apache-2.0</url>
+		</license>
+		<license>
+			<name>LGPL 3.0 license</name>
+			<url>http://www.opensource.org/licenses/lgpl-3.0</url>
+		</license>
+		<license>
+			<name>LGPL 2.1 license</name>
+			<url>http://www.opensource.org/licenses/lgpl-2.1</url>
+		</license>
+		<license>
+			<name>CDDL 1.0 license</name>
+			<url>http://www.opensource.org/licenses/cddl1</url>
+		</license>
+		<license>
+			<name>EPL 1.0 license</name>
+			<url>http://www.opensource.org/licenses/eclipse-1.0</url>
+		</license>
+	</licenses>
+
+	<build>
+		<sourceDirectory>${basedir}/src</sourceDirectory>
+		<resources>
+			<resource>
+				<filtering>false</filtering>
+				<directory>${basedir}/src</directory>
+				<includes>
+					<include>**/*</include>
+				</includes>
+				<excludes>
+					<exclude>**/*.java</exclude>
+					<exclude>**/package.html</exclude>
+				</excludes>
+			</resource>
+		</resources>
+		<plugins>
+			<plugin>
+				<groupId>org.apache.maven.plugins</groupId>
+				<artifactId>maven-compiler-plugin</artifactId>
+				<configuration>
+					<source>1.5</source>
+					<target>1.5</target>
+				</configuration>
+			</plugin>
+		</plugins>
+	</build>
+</project>
\ No newline at end of file
diff --git a/restlet-jse-create-tarball.sh b/restlet-jse-create-tarball.sh
new file mode 100644
index 0000000..00f7eb6
--- /dev/null
+++ b/restlet-jse-create-tarball.sh
@@ -0,0 +1,131 @@
+#!/bin/bash
+
+if [ $# -ne 1 ]; then
+    echo "Usage: ./create-sources VERSION"
+    exit 1
+fi
+
+VERSION=${1}
+NAME="restlet-jse"
+MAJOR_VERSION=$(echo ${VERSION} | cut -d. -f 1-2)
+
+wget http://restlet.org/download/${MAJOR_VERSION}/${NAME}-${VERSION}.zip
+unzip -qq ${NAME}-${VERSION}.zip
+rm ${NAME}-${VERSION}.zip
+# Remove unused files
+rm -Rf ./${NAME}-${VERSION}/bin/conf
+rm -Rf ./${NAME}-${VERSION}/bin/linux/wrapper
+rm -Rf ./${NAME}-${VERSION}/bin/win
+rm -Rf ./${NAME}-${VERSION}/docs/*
+rm -Rf ./${NAME}-${VERSION}/lib
+find ./${NAME}-${VERSION} -name "*.jar" -delete
+find ./${NAME}-${VERSION} -name "*.class" -delete
+cd ./${NAME}-${VERSION}
+
+#wget http://maven.restlet.org/org/restlet/jee/org.restlet.parent/${VERSION}/org.restlet.parent-${VERSION}.pom
+#mv org.restlet.parent-${VERSION}.pom pom.xml
+
+mv src/* .
+
+for m in org.restlet \
+ org.restlet.example \
+ org.restlet.ext.atom \
+ org.restlet.ext.crypto \
+ org.restlet.ext.dataservices \
+ org.restlet.ext.emf \
+ org.restlet.ext.fileupload \
+ org.restlet.ext.freemarker \
+ org.restlet.ext.gson \
+ org.restlet.ext.gwt \
+ org.restlet.ext.html \
+ org.restlet.ext.httpclient \
+ org.restlet.ext.jaas \
+ org.restlet.ext.jackson \
+ org.restlet.ext.javamail \
+ org.restlet.ext.jaxb \
+ org.restlet.ext.jaxrs \
+ org.restlet.ext.jdbc \
+ org.restlet.ext.jibx \
+ org.restlet.ext.json \
+ org.restlet.ext.lucene \
+ org.restlet.ext.net \
+ org.restlet.ext.netty \
+ org.restlet.ext.oauth \
+ org.restlet.ext.odata \
+ org.restlet.ext.openid \
+ org.restlet.ext.rdf \
+ org.restlet.ext.rome \
+ org.restlet.ext.sdc \
+ org.restlet.ext.sip \
+ org.restlet.ext.slf4j \
+ org.restlet.ext.spring \
+ org.restlet.ext.ssl \
+ org.restlet.ext.velocity \
+ org.restlet.ext.wadl \
+ org.restlet.ext.xml \
+ org.restlet.ext.xstream \
+ org.restlet.test; do
+(
+cd ${m}
+
+mkdir -p src
+mv org src
+
+[ -d META-INF/services]; mv META-INF src/
+wget -O pom.xml http://maven.restlet.org/org/restlet/jee/${m}/${VERSION}/${m}-${VERSION}.pom
+
+)
+
+done
+
+mkdir -p org.restlet.ext.servlet
+
+(
+cd org.restlet.ext.servlet
+wget -O pom.xml http://maven.restlet.org/org/restlet/jee/org.restlet.ext.servlet/${VERSION}/org.restlet.ext.servlet-${VERSION}.pom
+wget http://maven.restlet.org/org/restlet/jee/org.restlet.ext.servlet/${VERSION}/org.restlet.ext.servlet-${VERSION}-sources.jar
+jar -xf org.restlet.ext.servlet-${VERSION}-sources.jar
+rm -R org.restlet.ext.servlet-${VERSION}-sources.jar META-INF
+mkdir -p src
+mv org src
+)
+
+mkdir -p org.restlet.ext.xdb
+
+(
+cd org.restlet.ext.xdb
+wget -O pom.xml http://maven.restlet.org/org/restlet/jee/org.restlet.ext.xdb/${VERSION}/org.restlet.ext.xdb-${VERSION}.pom
+wget http://maven.restlet.org/org/restlet/jee/org.restlet.ext.xdb/${VERSION}/org.restlet.ext.xdb-${VERSION}-sources.jar
+jar -xf org.restlet.ext.xdb-${VERSION}-sources.jar
+rm -R org.restlet.ext.xdb-${VERSION}-sources.jar META-INF
+mkdir -p src
+mv org src
+mv resources src/
+)
+
+rm -Rf org.restlet.ext.jetty
+rm -Rf org.restlet.ext.simple
+# require jetty 7.0.0.v20091005
+#(
+#cd org.restlet.ext.jetty
+#JETTY_VERSION=2.0-M6
+#wget -O pom.xml http://maven.restlet.org/org/restlet/jee/org.restlet.ext.jetty/${JETTY_VERSION}/org.restlet.ext.jetty-${JETTY_VERSION}.pom
+#sed -i "s|2.0-M6|${VERSION}|" pom.xml
+#mkdir -p src
+#mv org src
+#)
+# disable for now
+#(
+#cd org.restlet.ext.simple
+#SIMPLE_VERSION=2.0-M6
+#wget -O pom.xml http://maven.restlet.org/org/restlet/jee/org.restlet.ext.simple/${SIMPLE_VERSION}/org.restlet.ext.simple-${SIMPLE_VERSION}.pom
+#sed -i "s|2.0-M6|${VERSION}|" pom.xml
+#mkdir -p src
+#mv org src
+#)
+
+cd ..
+find ./${NAME}-${VERSION} -name "*.jar" -delete
+find ./${NAME}-${VERSION} -name "MANIFEST.MF" -delete
+
+tar cJf ${NAME}-${VERSION}-clean.tar.xz ./${NAME}-${VERSION}
\ No newline at end of file
diff --git a/restlet-jse.spec b/restlet-jse.spec
new file mode 100644
index 0000000..d417676
--- /dev/null
+++ b/restlet-jse.spec
@@ -0,0 +1,135 @@
+Name:          restlet-jse
+Version:       2.1.4
+Release:       2%{?dist}
+Summary:       Open Source Lightweight REST framework
+# All source files are under multiple license
+License:       (ASL 2.0 or CDDL or EPL or LGPLv2+ or LGPLv3+)
+URL:           http://restlet.org/
+# https://github.com/restlet/restlet-framework-java 2.1.4 unreleased
+# Source archive from http://restlet.org/download/ don't contains pom files and some module requested by other projects
+# Download not available pom files and source (org.restlet.ext.servlet,org.restlet.ext.xdb) from http://maven.restlet.org/org/restlet/jee
+# org.restlet.ext.servlet is required by Apache Solr 4.x
+
+# sh restlet-jse-create-tarball.sh < VERSION >
+Source0:       %{name}-%{version}-clean.tar.xz
+
+# Original source archive don't contains parent pom
+Source1:       http://maven.restlet.org/org/restlet/jee/org.restlet.parent/%{version}/org.restlet.parent-%{version}.pom
+
+Source2:       %{name}-create-tarball.sh
+
+
+
+BuildRequires: java-devel
+BuildRequires: mvn(cglib:cglib)
+BuildRequires: mvn(com.sun.xml.bind:jaxb-impl)
+BuildRequires: mvn(com.thoughtworks.xstream:xstream)
+BuildRequires: mvn(commons-dbcp:commons-dbcp)
+BuildRequires: mvn(commons-fileupload:commons-fileupload)
+BuildRequires: mvn(commons-pool:commons-pool)
+BuildRequires: mvn(commons-lang:commons-lang)
+BuildRequires: mvn(commons-logging:commons-logging)
+BuildRequires: mvn(javax.mail:mail)
+BuildRequires: mvn(javax.servlet:servlet-api)
+BuildRequires: mvn(javax.xml.bind:jaxb-api)
+BuildRequires: mvn(javax.xml.stream:stax-api)
+BuildRequires: mvn(junit:junit)
+BuildRequires: mvn(net.jcip:jcip-annotations)
+BuildRequires: mvn(org.apache.httpcomponents:httpclient)
+BuildRequires: mvn(org.apache.httpcomponents:httpcore)
+BuildRequires: mvn(org.apache.httpcomponents:httpmime)
+BuildRequires: mvn(org.apache.james:apache-mime4j-core)
+BuildRequires: mvn(org.apache.james:james-project)
+BuildRequires: mvn(org.apache.velocity:velocity)
+BuildRequires: mvn(org.codehaus.jackson:jackson-core-asl)
+BuildRequires: mvn(org.codehaus.jackson:jackson-mapper-asl)
+BuildRequires: mvn(org.codehaus.jettison:jettison)
+BuildRequires: mvn(org.freemarker:freemarker)
+BuildRequires: mvn(org.jdom:jdom)
+BuildRequires: mvn(org.jibx:jibx-run)
+BuildRequires: mvn(org.jsslutils:jsslutils)
+BuildRequires: mvn(org.slf4j:slf4j-api)
+BuildRequires: mvn(org.springframework:spring-beans)
+BuildRequires: mvn(org.springframework:spring-context)
+BuildRequires: mvn(org.springframework:spring-core)
+BuildRequires: mvn(org.springframework:spring-expression)
+BuildRequires: mvn(org.springframework:spring-web)
+BuildRequires: mvn(org.springframework:spring-webmvc)
+BuildRequires: mvn(rome:rome)
+
+BuildRequires: maven-local
+
+BuildArch:     noarch
+# JSON, A GWT port of the client-side
+#library is also available.
+%description
+Restlet is a lightweight, comprehensive, REST framework for the
+Java platform. Restlet is suitable for both server and client
+Web applications. It supports major Internet transport, data
+format, and service description standards like HTTP and HTTPS,
+SMTP, XML, Atom, and WADL. 
+
+%package javadoc
+Summary:       Javadoc for %{name}
+
+%description javadoc
+This package contains javadoc for %{name}.
+
+%prep
+%setup -q
+
+cp -p %{SOURCE1} pom.xml
+
+# Require org.restlet.lib.com.db4o*
+%pom_disable_module org.restlet.example
+# Require org.json:json:2.0
+%pom_disable_module org.restlet.ext.json
+%pom_disable_module org.restlet.ext.jaxrs
+%pom_disable_module org.restlet.ext.openid
+%pom_disable_module org.restlet.ext.oauth
+# Require com.google.gwt:gwt-servlet:2.3.0
+%pom_disable_module org.restlet.ext.gwt
+# Require lucene-core 2.9.2 org.apache.solr:solr-core,solr-solrj 1.4.0 org.apache.tika:tika-core,tika-parsers 0.6
+%pom_disable_module org.restlet.ext.lucene
+# Require org.eclipse.emf
+%pom_disable_module org.restlet.ext.emf
+%pom_disable_module org.restlet.ext.sdc
+%pom_disable_module org.restlet.test
+
+# Adapt for newer mime4j
+%pom_remove_dep org.apache.james:apache-mime4j org.restlet.ext.httpclient
+%pom_add_dep org.apache.james:apache-mime4j-core:0.7.2 org.restlet.ext.httpclient
+# Use system jvm apis
+%pom_remove_dep javax.activation:activation org.restlet.ext.javamail
+# Remove unavailable dep
+%pom_remove_dep :spring-asm org.restlet.ext.spring
+# Fix cglib aId
+%pom_xpath_set "pom:project/pom:dependencies/pom:dependency[pom:groupId = 'cglib' ]/pom:artifactId" cglib org.restlet.ext.spring
+
+sed -i 's/\r//' changes.txt readme.txt
+
+%build
+
+%mvn_build
+
+%install
+%mvn_install
+
+# TODO ./bin/linux/restlet.sh
+
+%files -f .mfiles
+%dir %{_javadir}/%{name}
+%doc changes.txt copyright.txt license.txt readme.txt trademarks.txt
+
+%files javadoc -f .mfiles-javadoc
+%doc copyright.txt license.txt trademarks.txt
+
+%changelog
+* Wed Dec 04 2013 gil cattaneo <puntogil at libero.it> 2.1.4-2
+- fix license field
+
+* Sun Oct 27 2013 gil cattaneo <puntogil at libero.it> 2.1.4-1
+- update to 2.1.4
+
+* Wed Aug 28 2013 gil cattaneo <puntogil at libero.it> 2.1.3-1
+- initial rpm
\ No newline at end of file
diff --git a/sources b/sources
index e69de29..c5e05cb 100644
--- a/sources
+++ b/sources
@@ -0,0 +1 @@
+f415f2db5bed3db465bd17e4c72630d2  restlet-jse-2.1.4-clean.tar.xz


More information about the scm-commits mailing list